<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class MapCustomUrl
{
    public function handle(Request $request, Closure $next)
    {
        $path = $request->path();

        // 检查是否是 /protetor-de-tela-de-vidro-temperado
        if ($path === 'sobre') {
            // 动态设置路由参数
            $request->route()->setParameter('slug', 'sobre');
        }

        return $next($request);
    }
}
